@import "../../../styles/variables.scss";
@import "../../../styles/animations.scss";

.wizard-progress {
  box-sizing: border-box;
  margin-top: 90px;
  cursor: default;

  &-line {
    position: absolute;
    top: 0;
    left: 16px;
    width: 1px;
    height: 100%;
    padding-top: 32px;

    &::after {
      content: "";
      box-sizing: border-box;
      display: inline-block;
      width: 100%;
      height: 1px;
      border-radius: 1px;
      width: 1px;
      height: 100%;
      background: linear-gradient(to top, $disabled-color 50%, $primary-color 50%);
      background-size: 100% 200%;
      background-position: bottom;
      transition: background $animation-duration;
    }
  }

  &-label {
    height: 70px;
    display: inline-block;
    color: $disabled-color;
    font-size: 16px;
    line-height: 32px;
    transition: color $animation-duration;
  }

  .wizard-progress-step {
    float: left;
    vertical-align: top;
    width: 32px;
    height: 32px;
    font-size: 16px;
    line-height: 32px;
    text-align: center;
    margin-right: 15px;
    border: 1px solid $disabled-color;
    border-radius: 32px;
    background-color: $white-color;
    transition: background-color $animation-duration, border-color $animation-duration, color $animation-duration;

    &-icon {
      position: relative;
      top: -1px;
      line-height: 1;
      color: $disabled-color;
      transition: color $animation-duration;

      &-done {
        vertical-align: -0.125em;
        display: inline-block;
        color: $white-color;
      }
    }
  }

  &-item {
    width: 200px;
    position: relative;
    overflow: visible;

    &.done {
      .wizard-progress-step {
        background-color: $primary-color;
        border-color: $primary-color;
        cursor: pointer;
        &-icon {
          .wizard-progress-step-icon-done {
            animation: rotateAndFadeIn $animation-duration;
          }
        }
      }
      .wizard-progress-label {
        color: $black-color;
      }
    }

    &.done > .wizard-progress-line:after {
      background-position: top;
    }

    &.current {
      .wizard-progress-line:after {
        transition-delay: $animation-duration;
      }

      .wizard-progress-step {
        transition-delay: $animation-duration;
        background-color: $primary-color;
        border-color: $primary-color;
        border: 3px solid $white-color;
        box-shadow: 0 0 0 2px $primary-color;
        &-icon {
          transition-delay: $animation-duration;
          color: $white-color;
          top: -3px;
        }
      }
      .wizard-progress-label {
        transition-delay: $animation-duration;
        color: $primary-color;
      }
    }

    &:last-child {
      .wizard-progress-line,
      .wizard-progress-line:after {
        display: none;
      }
    }
  }
}
